Bug 1290929 - [abrt] gmpc: g_type_class_peek(): gmpc killed by SIGSEGV
Summary: [abrt] gmpc: g_type_class_peek(): gmpc killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gmpc
Version: 23
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Adrian Reber
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:337282af1ea14d81e84a20c438a...
: 1277200 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-12-11 22:59 UTC by Julian Stecklina
Modified: 2016-07-21 09:56 UTC (History)
6 users (show)

Fixed In Version: gmpc-11.8.16-11.fc23 gmpc-11.8.16-11.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-02-29 05:25:48 UTC


Attachments (Terms of Use)
File: backtrace (15.56 KB, text/plain)
2015-12-11 22:59 UTC, Julian Stecklina
no flags Details
File: cgroup (190 bytes, text/plain)
2015-12-11 22:59 UTC, Julian Stecklina
no flags Details
File: core_backtrace (1.67 KB, text/plain)
2015-12-11 22:59 UTC, Julian Stecklina
no flags Details
File: dso_list (14.06 KB, text/plain)
2015-12-11 22:59 UTC, Julian Stecklina
no flags Details
File: environ (984 bytes, text/plain)
2015-12-11 22:59 UTC, Julian Stecklina
no flags Details
File: exploitable (82 bytes, text/plain)
2015-12-11 22:59 UTC, Julian Stecklina
no flags Details
File: limits (1.29 KB, text/plain)
2015-12-11 22:59 UTC, Julian Stecklina
no flags Details
File: maps (69.30 KB, text/plain)
2015-12-11 22:59 UTC, Julian Stecklina
no flags Details
File: mountinfo (3.61 KB, text/plain)
2015-12-11 22:59 UTC, Julian Stecklina
no flags Details
File: namespaces (85 bytes, text/plain)
2015-12-11 22:59 UTC, Julian Stecklina
no flags Details
File: open_fds (792 bytes, text/plain)
2015-12-11 22:59 UTC, Julian Stecklina
no flags Details
File: proc_pid_status (1006 bytes, text/plain)
2015-12-11 22:59 UTC, Julian Stecklina
no flags Details
File: var_log_messages (1.28 KB, text/plain)
2015-12-11 22:59 UTC, Julian Stecklina
no flags Details

Description Julian Stecklina 2015-12-11 22:59:03 UTC
Description of problem:
I am running gmpc on Wayland. This crash happened when I closed the application (as far as I can tell).

Version-Release number of selected component:
gmpc-11.8.16-9.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        gmpc
crash_function: g_type_class_peek
executable:     /usr/bin/gmpc
global_pid:     4795
kernel:         4.2.6-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (3 frames)
 #0 g_type_class_peek at gtype.c:3038
 #1 albumview_plugin_finalize at plugin.c:929
 #3 plugin_manager_destroy_plugins at Tools/plugin-man.c:155

Comment 1 Julian Stecklina 2015-12-11 22:59:08 UTC
Created attachment 1104890 [details]
File: backtrace

Comment 2 Julian Stecklina 2015-12-11 22:59:09 UTC
Created attachment 1104891 [details]
File: cgroup

Comment 3 Julian Stecklina 2015-12-11 22:59:11 UTC
Created attachment 1104892 [details]
File: core_backtrace

Comment 4 Julian Stecklina 2015-12-11 22:59:13 UTC
Created attachment 1104893 [details]
File: dso_list

Comment 5 Julian Stecklina 2015-12-11 22:59:14 UTC
Created attachment 1104894 [details]
File: environ

Comment 6 Julian Stecklina 2015-12-11 22:59:15 UTC
Created attachment 1104895 [details]
File: exploitable

Comment 7 Julian Stecklina 2015-12-11 22:59:17 UTC
Created attachment 1104896 [details]
File: limits

Comment 8 Julian Stecklina 2015-12-11 22:59:20 UTC
Created attachment 1104897 [details]
File: maps

Comment 9 Julian Stecklina 2015-12-11 22:59:21 UTC
Created attachment 1104898 [details]
File: mountinfo

Comment 10 Julian Stecklina 2015-12-11 22:59:23 UTC
Created attachment 1104899 [details]
File: namespaces

Comment 11 Julian Stecklina 2015-12-11 22:59:24 UTC
Created attachment 1104900 [details]
File: open_fds

Comment 12 Julian Stecklina 2015-12-11 22:59:26 UTC
Created attachment 1104901 [details]
File: proc_pid_status

Comment 13 Julian Stecklina 2015-12-11 22:59:27 UTC
Created attachment 1104902 [details]
File: var_log_messages

Comment 14 Sam Tygier 2016-01-04 14:11:56 UTC
Same crash (according to ABRT) with 11.8.16.9.fc23.x86_64 on Xorg with MATE, so not wayland specific.

Comment 15 Sam Tygier 2016-02-08 10:38:50 UTC
See to get this regularly if I quit GMPC while not on the network with the server.

Comment 16 Fedora Update System 2016-02-15 08:42:32 UTC
gmpc-11.8.16-11.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-7f63dd2939

Comment 17 Fedora Update System 2016-02-15 09:01:53 UTC
gmpc-11.8.16-11.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-af8c8ec417

Comment 18 Fedora Update System 2016-02-17 06:27:24 UTC
gmpc-11.8.16-11.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-af8c8ec417

Comment 19 Fedora Update System 2016-02-17 06:29:34 UTC
gmpc-11.8.16-11.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-7f63dd2939

Comment 20 Sam Tygier 2016-02-17 11:17:36 UTC
I don't seem to be able to get the testing version

$ sudo dnf --enablerepo=updates-testing install gmpc
Last metadata expiration check performed 0:05:50 ago on Wed Feb 17 11:10:15 2016.
Package gmpc-11.8.16-9.fc23.x86_64 is already installed, skipping.
Dependencies resolved.
Nothing to do.
Complete!

Comment 21 Sam Tygier 2016-02-17 13:34:25 UTC
Ok, it arrived now. Possibly doing "sudo dnf --enablerepo=updates-testing clean all" helped clear the old metadata.

Comment 22 Fedora Update System 2016-02-29 05:25:44 UTC
gmpc-11.8.16-11.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2016-02-29 10:22:30 UTC
gmpc-11.8.16-11.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 24 Adrian Reber 2016-07-21 09:56:31 UTC
*** Bug 1277200 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.